summarylogtreecommitdiffstats
path: root/pennywise.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 15:07:15 +0800
committerzxp198210052024-03-22 15:07:15 +0800
commitbfacbccbb528b7b2842589006ae95ecde03ea719 (patch)
tree777d4b0f6a9b4a5b4d13407e012715398191f57b /pennywise.sh
parent71ae8aa7aada7ee6036b44c5d6a914976dd77141 (diff)
downloadaur-pennywise-bin.tar.gz
fix errors
Diffstat (limited to 'pennywise.sh')
-rw-r--r--pennywise.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/pennywise.sh b/pennywise.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/pennywise.sh
+++ b/pennywise.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file